Error: Your project contains C++ files but it is not using a supported native build system

我在编写有关JNI的代码的时候回报这个错误,我在网上搜了相关的资料后,找到了一篇文章解决了这个问题,点击这里查看这篇文章,我在照着这篇文章尝试的时候,总有一些错误,现在我把自己详细的解决流程贴出来,供大家参考。 
首先在工程目录下的gradle.properties文件的末尾加上一句:Android.useDeprecatedNdk=true 
如图: 
这里写图片描述 
然后再在文件build.gradle(Module:app)里面的buildTypes类中添加一个这样的方法

sourceSets {
    main {
        jni.srcDirs = []
    }
}

如下图所示 

这里写图片描述 
这样就可以编译成功了

posted @ 2017-02-16 13:35 Alter 阅读(...) 评论(...) 编辑 收藏